Index: cdefs.h
===================================================================
RCS file: /cvsroot/src/sys/sys/cdefs.h,v
retrieving revision 1.66
diff -u -p -r1.66 cdefs.h
--- cdefs.h	26 Nov 2007 14:52:34 -0000	1.66
+++ cdefs.h	6 Mar 2008 02:07:54 -0000
@@ -207,7 +207,7 @@
 #define	__packed	__attribute__((__packed__))
 #define	__aligned(x)	__attribute__((__aligned__(x)))
 #define	__section(x)	__attribute__((__section__(x)))
-#elif defined(__PCC__)
+#elif defined(__PCC__) || defined(_MSC_VER)
 #define	__packed	/* XXX ignore for now */
 #define	__aligned(x)   	/* XXX ignore for now */
 #define	__section(x)   	/* XXX ignore for now */
Index: time.h
===================================================================
RCS file: /cvsroot/src/sys/sys/time.h,v
retrieving revision 1.59
diff -u -p -r1.59 time.h
--- time.h	8 Jan 2008 20:56:22 -0000	1.59
+++ time.h	6 Mar 2008 02:07:54 -0000
@@ -99,6 +99,7 @@ struct timezone {
 		}							\
 	} while (/* CONSTCOND */ 0)
 
+#ifndef _STANDALONE
 struct bintime {
 	time_t	sec;
 	uint64_t frac;
@@ -188,6 +189,7 @@ timeval2bintime(const struct timeval *tv
 	/* 18446744073709 = int(2^64 / 1000000) */
 	bt->frac = tv->tv_usec * (uint64_t)18446744073709LL;
 }
+#endif	/* !_STANDALONE */
 
 /* Operations on timespecs. */
 #define	timespecclear(tsp)	(tsp)->tv_sec = (time_t)((tsp)->tv_nsec = 0L)
